#!/usr/bin/perl

use CGI::Carp qw(fatalsToBrowser);

require "/user/yourserver/absolute/path_to/cgi-bin/fraud_filter/fraud_filter_config.cgi"; # Essential. Load in our common subroutines and scalars.
require "/user/yourserver/absolute/path_to/cgi-bin/fraud_filter/tigertom_lib.cgi"; # Routine library


##############################################################################
# COPYRIGHT NOTICE                                                           #
# TigerTom's Fraud Filter Script - Post. Version: 1.1,                         # 
# Sept 2002.                                                                 # 
#                                                                            #  
# Copyright 2000 T. O' Donnell.  All Rights Reserved.                        #
# http://www.tigertom.com/contact.htm                                        #
# Selling the code for this program without prior written consent is         #
# expressly forbidden.                                                       #
# You must get permission from T. O' Donnell and the other contributors      # 
# before redistributing this software over the Internet or via any           # 
# other medium.                                                              #
# You may not redistribute an altered version of this program in any form,   # 
# via any medium.                                                            # 
#                                                                            #
# In all cases copyright and header must remain intact.                      #
#                                                                            #                    
# This Copyright is in full effect in any country that has International     #
# Trade Agreements with the United Kingdom Of Great Britain.                 #
#                                                                            #
##############################################################################

# End URL
if($final_script_url) {
$thanks_url = "$final_script_url";
		}

elsif($final_page) {
$thanks_url = "$final_page";
		}


############################ Sub Routines #####################################



# &check_referer;     # Optional.  Check only your website is calling this script.

# Variables to output if we're debugging
# $important_var_list= "Name:$dbnom<BR>Email:$exact_email<BR>Number:$exact_num<BR>Product:$product_tag<BR>Password:$pass1<BR>Pass check:$pass2<BR>Clickbank:$clickbank_receipt<BR>\n"; 
# &debug;
# exit(0);

&parse_data;        # Parse the raw form data.

&get_date;          # Get the date.


&open_delimited;    # Get the data saved by the 'ante' script

&save_delimited2;   # Save to database file.

# &debug;

&send_webmaster_email;   # Send off a copy to webmaster

&end_url;           # ESSENTIAL. Final script routines.

exit(0);            # ESSENTIAL. Script action ends.

############################################################################


########## Only would-be programmers should edit past this point! ########## 


########################### The Sub-Routines ###############################

# Sub routine to re-acquire the purchasers' data saved by the 'ante-ClickBank' script:
sub open_delimited {


# Get the HTTP_USER_AGENT as a single string
   &shorten_ip;    

   
$file_name = "$save_file";
&begin_acquire_file;
&close_file;
	foreach $line(@list) {
     		if ($line =~ /$browser_short/ && $line =~ /$ENV{'REMOTE_ADDR'}/) {
                 chomp($line);
     		$ledger_entry = $line;
            		  } # End unless
          		} # End foreach


# REMINDER: The first four array fields are "$time|$date|$browser_short|$ENV{'REMOTE_ADDR'}";

        
                } # End sub





# Sub routine to save data into pipe-delimited database format:

sub save_delimited2 {

   &shorten_ip;    

$file_name = "$valid_file";   
&begin_append_to_file;      

        print DATA "$ledger_entry";
   
        print DATA "\n";
       
&close_file;
  }


sub send_webmaster_email {

# Set up the recipent and sender
# (Re-assign sender details from our config file)

$recipient_email = $sender_email;
$recipient_name = $sender_name;
$subject = "Possible Order - More Details from CC_Wrapper.";


# Swop newlines for pipes
$ledger_entry =~ s/$DELIM/\n/g;

# Crude message now ready to send

$email_message = "

Here's a crude printout of a database entry about a possible order. 
MAKE SURE YOUR CREDIT CARD PROCESSOR CONFIRMS IT.

$ledger_entry

";

&send_email;
 
} # End sub




